stages:
 - test
 - deploy

test:
 stage: test
 image: node:12
 script:
 - npm install
 - npm run test

deploy:
 stage: deploy
 image: google/cloud-sdk:latest
 only:
 - main
 script:
 - echo $SERVICE_ACCOUNT > ${HOME}/gcloud-service-key.json
 - cat ${HOME}/gcloud-service-key.json
 - gcloud auth activate-service-account --key-file ${HOME}/gcloud-service-key.json
 - gcloud --quiet --project $PROJECT_ID functions deploy helloHttp --runtime=nodejs12 --trigger-http

